<template>
  <div class="mx-2 has-text-centered">
    <a @click="resetPassword">
      <SvgIcon v-bind="{ name: 'padlock.png', type: 'gray', size: 20 }"></SvgIcon>
    </a>
  </div>
</template>
<script setup>
const { $store, $isVietnamese } = useNuxtApp();

const emit = defineEmits(['clickevent']);
var props = defineProps({
  appid: Number,
  row: Object,
});

function resetPassword() {
  emit('clickevent', {
    name: 'dataevent',
    data: {
      modal: {
        title: $isVietnamese() ? 'Đặt lại mật khẩu' : 'Reset password',
        height: '300px',
        width: '800px',
        component: 'user/ResetPassword',
        vbind: { row: props.row },
      },
    },
  });
}
</script>
